Package org.gitana.platform.client.principal

# Class DomainGroupImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.domain.AbstractDomainDocumentImpl
org.gitana.platform.client.principal.AbstractDomainPrincipalImpl
org.gitana.platform.client.principal.DomainGroupImpl

All Implemented Interfaces:
  `Serializable`, `Principal`, `Attachable`, `Document`, `DomainDocument`, `PlatformDocument`, `DomainGroup`, `DomainPrincipal`, `AccessControllable`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class DomainGroupImpl extends AbstractDomainPrincipalImpl implements DomainGroup

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.principal.DomainPrincipal

`FIELD_AUTHORITIES, FIELD_NAME, FIELD_TYPE`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`DomainGroupImpl(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPrincipal(String principalId)`
`void`
`addPrincipal(DomainPrincipal principal)`
`String`
`getTypeId()`
`protected void`
`init()`
Sets the principal type to GROUP
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listPrincipals()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listPrincipals(boolean includeInherited)`
`Group`
`readGroup(Branch branch)`
`Group`
`readGroup(Branch branch, boolean createIfNotFound)`
`void`
`removePrincipal(String principalId)`
`void`
`removePrincipal(DomainPrincipal principal)`

### Methods inherited from class org.gitana.platform.client.principal.AbstractDomainPrincipalImpl

`delete, deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getACL, getACL, getAuthorities, getAuthorityGrants, getDomainQualifiedId, getDomainQualifiedName, getDownloadUri, getName, getResourceUri, getType, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, listAttachments, listParentGroups, listParentGroups, reload, revoke, revoke, revokeAll, revokeAll, setName, setType, update, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from class org.gitana.platform.client.domain.AbstractDomainDocumentImpl

`getDomain, getDomainId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.client.domain.DomainDocument

`getDomain`

### Methods inherited from interface org.gitana.platform.client.principal.DomainPrincipal

`getAuthorities, getDomainId, getDomainQualifiedId, getDomainQualifiedName, getName, getType, listParentGroups, listParentGroups, setName, setType`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies, toString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### DomainGroupImpl

public DomainGroupImpl(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### init

protected void init()
Sets the principal type to GROUP

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### listPrincipals

public org.gitana.platform.support.ResultMap<DomainPrincipal> listPrincipals()

Specified by:
  `listPrincipals` in interface `DomainGroup`

### listPrincipals

public org.gitana.platform.support.ResultMap<DomainPrincipal> listPrincipals(boolean includeInherited)

Specified by:
  `listPrincipals` in interface `DomainGroup`

### addPrincipal

public void addPrincipal(DomainPrincipal principal)

Specified by:
  `addPrincipal` in interface `DomainGroup`

### addPrincipal

public void addPrincipal(String principalId)

Specified by:
  `addPrincipal` in interface `DomainGroup`

### removePrincipal

public void removePrincipal(DomainPrincipal principal)

Specified by:
  `removePrincipal` in interface `DomainGroup`

### removePrincipal

public void removePrincipal(String principalId)

Specified by:
  `removePrincipal` in interface `DomainGroup`

### readGroup

public Group readGroup(Branch branch)

Specified by:
  `readGroup` in interface `DomainGroup`

### readGroup

public Group readGroup(Branch branch, boolean createIfNotFound)

Specified by:
  `readGroup` in interface `DomainGroup`